Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.app
Class DefaultAppContext

    java.lang.Object
      com.servingxml.util.system.AbstractRuntimeContext
          com.servingxml.app.DefaultAppContext

All Implemented Interfaces:
  AppContext, RuntimeContext

    public class DefaultAppContext

extends AbstractRuntimeContext
implements AppContext

Constructor Summary
`DefaultAppContext(java.lang.String appName, IocContainer resources)`
`DefaultAppContext(java.lang.String appName, IocContainer resources, Logger logger)`

Method Summary
`java.lang.String` | `getAppName()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`IocContainer` | `getResources()`
`javax.xml.transform.sax.SAXTransformerFactory` | `getTransformerFactory()`
`java.lang.String` | `getUser()`
`java.lang.Object` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class com.servingxml.util.system.AbstractRuntimeContext
`error, notice, printStackTrace, trace, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.util.system.RuntimeContext
`error, notice, printStackTrace, trace, warning`

Constructor Detail

### DefaultAppContext

    public DefaultAppContext(java.lang.String appName,
                             IocContainer resources)

### DefaultAppContext

    public DefaultAppContext(java.lang.String appName,
                             IocContainer resources,
                             Logger logger)

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `AppContext`

### setProperty

    public java.lang.Object setProperty(java.lang.String name,
                                        java.lang.Object value)

  Specified by:
    `setProperty` in interface `AppContext`

### getAppName

    public java.lang.String getAppName()

  Specified by:
    `getAppName` in interface `AppContext`
  Specified by:
    `getAppName` in interface `RuntimeContext`

### getUser

    public java.lang.String getUser()

  Specified by:
    `getUser` in interface `RuntimeContext`

### getResources

    public IocContainer getResources()

  Specified by:
    `getResources` in interface `AppContext`

### getTransformerFactory

    public javax.xml.transform.sax.SAXTransformerFactory getTransformerFactory()

  Specified by:
    `getTransformerFactory` in interface `AppContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD